Summary: 	wxAll library - non-GUI support classes of wxWindows toolkit
Name: 		wxAll
Version: 	2.4.2
Release: 	1
Copyright: 	wxWindows Licence
Group: 		Libraries
Source: 	http://biolpc22.york.ac.uk/pub/2.4.2/%{name}-%{version}.tar.gz
URL: 		http://www.wxwindows.org
BuildRoot: 	/var/tmp/%{name}-root
Provides:	wxWindows

%description
wxAll is the library providing most of the non-GUI classes of the wxWindows
cross-platform C++ framework. wxAll has some generic classes such as yet
another C++ string class, typesafe dynamic arrays, hashes and lists and, more
excitingly, wxDateTime - a very flexible and powerful class for manipulating
the dates in the range of 580 million years with up to millisecond precision.
Another useful class not present in the standard C++ library is wxRegEx which
allows you to use regular expressions for string matching and replacing.

%package 	devel
Summary: 	wxAll headers needed for developping with wxAll
Group: 		Development

%description 	devel
Header files for wxAll. You need them to develop programs using wxAll.

%prep
%setup -q -n wxWindows-%{version}

%build
%configure --disable-static --enable-shared --enable-gui --with-odbc --with-opengl
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%{_libdir}/*.so
%{_libdir}/*.so.*
/usr/share/wx

%files devel
%defattr (-,root,root)
/usr/bin
/usr/lib/wx
/usr/include
/usr/share/aclocal
